import { ApiResponseChannel } from '../interfaces/i_api_response';
import { ISemver } from '../interfaces/i_semver';
import { Api, ApiVersionState } from '../interfaces/i_api';
import { ApiRequestId } from '../interfaces/i_api_request';
export declare function convertToApi(convertApiName: string): Api;
export declare function getApiVersionState(versionLeft: ISemver, versionRight: ISemver): ApiVersionState;
export declare function getReadableApiName(api: Api): string;
export declare function genApiRequestId(): ApiRequestId;
export declare function getApiResponseChannel(requestId: ApiRequestId): ApiResponseChannel;
export declare function isApiResponseChannel(channel: ApiResponseChannel): boolean;
export declare function parseApiRequestId(channel: ApiResponseChannel): ApiRequestId;
