import { nodeApiInfoPreload as i } from '../interfaces/i_node_api_info_preload';
import { PreloadApiBase } from '../classes/preload_api_base';
import { IpcRenderer } from '../classes/electron';
export declare class NodePreloadApi extends PreloadApiBase {
    constructor(ipcRenderer: IpcRenderer);
    sendData: i.sendData.FunctionType;
    onDataReceived: i.onDataReceived.FunctionType;
    unsetOnDataReceived: i.onDataReceived.unset.FunctionType;
    sendEvent: i.sendEvent.FunctionType;
    onEventReceived: i.onEventReceived.FunctionType;
    unsetOnEventReceived: i.onEventReceived.unset.FunctionType;
}
export interface ExtensionWindow {
    __nodePreloadApi__: NodePreloadApi;
}
