import { pingPongApiInfoPreload as i } from '../interfaces/i_ping_pong_api_info_preload';
import { PreloadApiBase } from '../classes/preload_api_base';
import { IpcRenderer } from '../classes/electron';
export declare class PingPongPreloadApi extends PreloadApiBase {
    constructor(ipcRenderer: IpcRenderer);
    ping: i.ping.FunctionType;
    onPing: i.onPing.FunctionType;
    unsetOnPing: i.onPing.unset.FunctionType;
    pong: i.pong.FunctionType;
    onPong: i.onPong.FunctionType;
    unsetOnPong: i.onPong.unset.FunctionType;
}
export interface ExtensionWindow {
    __pingPongPreloadApi__: PingPongPreloadApi;
}
