import { tagsApiInfoPreload as i } from '../interfaces/i_tags_api_info_preload';
import { PreloadApiBase } from '../classes/preload_api_base';
export class TagsPreloadApi extends PreloadApiBase {
    constructor(ipcRenderer) {
        super(ipcRenderer);
    }
    getTags = async (...args) => {
        return this._sendRequestPromise(i.getTags.channel, ...args);
    };
    hasTag = async (...args) => {
        return this._sendRequestPromise(i.hasTag.channel, ...args);
    };
}
