import { IpcRendererEvent } from '../classes/electron';
import { appInfoApiInfo as i } from '../interfaces/i_app_info_api_info';
import { ApiInfoType } from '../interfaces/i_api_info';
export declare namespace appInfoApiInfoPreload {
    const api = Api.AppInfo;
    const apiInfoType = ApiInfoType.Preload;
    namespace getPackageInfo {
        const channel = i.Channel.GetPackageInfo;
        type ArgsType = i.getPackageInfo.ArgsType;
        type ResultType = i.getPackageInfo.ResultType;
        type ReturnType = i.getPackageInfo.ReturnType;
        type FunctionType = i.getPackageInfo.FunctionType;
        namespace responseListener {
            type EventType = IpcRendererEvent;
            type EventArgsType = [appPackageInfo: ResultType];
            type ArgsType = [event: EventType, ...args: EventArgsType];
            type FunctionType = (...args: ArgsType) => void;
        }
        type ResponseListenerType = responseListener.FunctionType;
    }
    namespace getVersion {
        const channel = i.Channel.GetVersion;
        type ArgsType = i.getVersion.ArgsType;
        type ResultType = i.getVersion.ResultType;
        type ReturnType = i.getVersion.ReturnType;
        type FunctionType = i.getVersion.FunctionType;
        namespace responseListener {
            type EventType = IpcRendererEvent;
            type EventArgsType = [apiVersion: ResultType];
            type ArgsType = [event: EventType, ...args: EventArgsType];
            type FunctionType = (...args: ArgsType) => void;
        }
        type ResponseListenerType = responseListener.FunctionType;
    }
    namespace getApiVersion {
        const channel = i.Channel.GetApiVersion;
        type ArgsType = i.getApiVersion.ArgsType;
        type ResultType = i.getApiVersion.ResultType;
        type ReturnType = i.getApiVersion.ReturnType;
        type FunctionType = i.getApiVersion.FunctionType;
        namespace responseListener {
            type EventType = IpcRendererEvent;
            type EventArgsType = [apiVersion: ResultType];
            type ArgsType = [event: EventType, ...args: EventArgsType];
            type FunctionType = (...args: ArgsType) => void;
        }
        type ResponseListenerType = responseListener.FunctionType;
    }
}
