import { Api } from '../interfaces/i_api';
import { ApiInfoType } from '../interfaces/i_api_info';
export var communicationApiInfo;
(function (communicationApiInfo) {
    communicationApiInfo.api = Api.Communication;
    communicationApiInfo.apiInfoType = ApiInfoType.Main;
    let Channel;
    (function (Channel) {
        Channel["SendData"] = "communicationApi.sendData";
        Channel["OnDataReceived"] = "communicationApi.onDataReceived";
        Channel["SendEvent"] = "communicationApi.sendEvent";
        Channel["OnEventReceived"] = "communicationApi.onEventReceived";
    })(Channel = communicationApiInfo.Channel || (communicationApiInfo.Channel = {}));
    let sendData;
    (function (sendData) {
        sendData.channel = Channel.SendData;
    })(sendData = communicationApiInfo.sendData || (communicationApiInfo.sendData = {}));
    let onDataReceived;
    (function (onDataReceived) {
        onDataReceived.channel = Channel.OnDataReceived;
    })(onDataReceived = communicationApiInfo.onDataReceived || (communicationApiInfo.onDataReceived = {}));
    let sendEvent;
    (function (sendEvent) {
        sendEvent.channel = Channel.SendEvent;
    })(sendEvent = communicationApiInfo.sendEvent || (communicationApiInfo.sendEvent = {}));
    let onEventReceived;
    (function (onEventReceived) {
        onEventReceived.channel = Channel.OnEventReceived;
    })(onEventReceived = communicationApiInfo.onEventReceived || (communicationApiInfo.onEventReceived = {}));
})(communicationApiInfo || (communicationApiInfo = {}));
