import { communicationApiInfo as i } from '../interfaces/i_communication_api_info';
import { ApiInfoType } from '../interfaces/i_api_info';
export var communicationApiInfoPreload;
(function (communicationApiInfoPreload) {
    communicationApiInfoPreload.api = i.api;
    communicationApiInfoPreload.apiInfoType = ApiInfoType.Preload;
    let sendData;
    (function (sendData) {
        sendData.channel = i.sendData.channel;
    })(sendData = communicationApiInfoPreload.sendData || (communicationApiInfoPreload.sendData = {}));
    let onDataReceived;
    (function (onDataReceived) {
        onDataReceived.channel = i.onDataReceived.channel;
    })(onDataReceived = communicationApiInfoPreload.onDataReceived || (communicationApiInfoPreload.onDataReceived = {}));
    let sendEvent;
    (function (sendEvent) {
        sendEvent.channel = i.sendEvent.channel;
    })(sendEvent = communicationApiInfoPreload.sendEvent || (communicationApiInfoPreload.sendEvent = {}));
    let onEventReceived;
    (function (onEventReceived) {
        onEventReceived.channel = i.onEventReceived.channel;
    })(onEventReceived = communicationApiInfoPreload.onEventReceived || (communicationApiInfoPreload.onEventReceived = {}));
})(communicationApiInfoPreload || (communicationApiInfoPreload = {}));
