import { TrackingTag } from '../interfaces/i_tracking_tag';
import { ICPTabButtonInfo } from '../interfaces/i_cp_tab_button_info';
export declare enum CPTabSectionInfoType {
    Html = "html"
}
export interface ICPTabSectionInfoBase {
    readonly tag: TrackingTag;
    readonly type: CPTabSectionInfoType;
    readonly title: string;
    readonly iconPath?: string;
    readonly isDefault?: boolean;
    readonly buttonsInfo?: ICPTabButtonInfo[];
}
export interface ICPTabSectionWithHtmlInfo extends ICPTabSectionInfoBase {
    readonly type: CPTabSectionInfoType.Html;
    readonly htmlPath: string;
    readonly nodeScriptPath?: string;
    readonly initData?: any;
}
export type ICPTabSectionInfo = ICPTabSectionWithHtmlInfo;
