import { IExtensionPackageInfo } from '../interfaces/i_extension_package_info';
import { Api } from '../interfaces/i_api';
import { ApiInfoType } from '../interfaces/i_api_info';
export declare namespace extensionInfoApiInfo {
    const api = Api.ExtensionInfo;
    const apiInfoType = ApiInfoType.Main;
    enum Channel {
        GetPackageInfo = "extensionInfoApi.getPackageInfo",
        GetPackageInfoRaw = "extensionInfoApi.getPackageInfoRaw"
    }
    namespace getPackageInfo {
        const channel = Channel.GetPackageInfo;
        type ArgsType = [];
        type ResultType = IExtensionPackageInfo;
        type ReturnType = Promise<ResultType>;
        type FunctionType = (...args: ArgsType) => ReturnType;
    }
    namespace getPackageInfoRaw {
        const channel = Channel.GetPackageInfoRaw;
        type ArgsType = [];
        type ResultType = object;
        type ReturnType = Promise<ResultType>;
        type FunctionType = (...args: ArgsType) => ReturnType;
    }
}
