import { Api } from '../interfaces/i_api';
import { ApiInfoType } from '../interfaces/i_api_info';
export var lifecycleApiInfo;
(function (lifecycleApiInfo) {
    lifecycleApiInfo.api = Api.Lifecycle;
    lifecycleApiInfo.apiInfoType = ApiInfoType.Main;
    let Channel;
    (function (Channel) {
        Channel["OnReady"] = "lifecycleApi.onReady";
        Channel["OnDestroy"] = "lifecycleApi.onDestroy";
        Channel["OnDidGoBackground"] = "lifecycleApi.onDidGoBackground";
        Channel["OnDidGoForeground"] = "lifecycleApi.onDidGoForeground";
    })(Channel = lifecycleApiInfo.Channel || (lifecycleApiInfo.Channel = {}));
    let onReady;
    (function (onReady) {
        onReady.channel = Channel.OnReady;
    })(onReady = lifecycleApiInfo.onReady || (lifecycleApiInfo.onReady = {}));
    let onDestroy;
    (function (onDestroy) {
        onDestroy.channel = Channel.OnDestroy;
    })(onDestroy = lifecycleApiInfo.onDestroy || (lifecycleApiInfo.onDestroy = {}));
    let onDidGoBackground;
    (function (onDidGoBackground) {
        onDidGoBackground.channel = Channel.OnDidGoBackground;
    })(onDidGoBackground = lifecycleApiInfo.onDidGoBackground || (lifecycleApiInfo.onDidGoBackground = {}));
    let onDidGoForeground;
    (function (onDidGoForeground) {
        onDidGoForeground.channel = Channel.OnDidGoForeground;
    })(onDidGoForeground = lifecycleApiInfo.onDidGoForeground || (lifecycleApiInfo.onDidGoForeground = {}));
})(lifecycleApiInfo || (lifecycleApiInfo = {}));
