import { Api } from '../interfaces/i_api';
import { ApiInfoType } from '../interfaces/i_api_info';
export var mainPanelApiInfo;
(function (mainPanelApiInfo) {
    mainPanelApiInfo.api = Api.MainPanel;
    mainPanelApiInfo.apiInfoType = ApiInfoType.Main;
    let Channel;
    (function (Channel) {
        Channel["SetTabs"] = "mainPanelApi.setTabs";
        Channel["OnTabsSet"] = "mainPanelApi.onTabsSet";
        Channel["AddTabs"] = "mainPanelApi.addTabs";
        Channel["OnTabsAdded"] = "mainPanelApi.onTabsAdded";
        Channel["InsertTabs"] = "mainPanelApi.insertTabs";
        Channel["OnTabsInserted"] = "mainPanelApi.onTabsInserted";
        Channel["HasTab"] = "mainPanelApi.hasTab";
        Channel["GetTabTags"] = "mainPanelApi.getTabTags";
        Channel["ReplaceTabs"] = "mainPanelApi.replaceTabs";
        Channel["OnTabsReplaced"] = "mainPanelApi.onTabsReplaced";
        Channel["RemoveTabs"] = "mainPanelApi.removeTabs";
        Channel["OnTabsRemoved"] = "mainPanelApi.onTabsRemoved";
        Channel["SelectTab"] = "mainPanelApi.selectTab";
        Channel["GetSelectedTabTag"] = "mainPanelApi.getSelectedTabTag";
        Channel["GetSelectedTabIndex"] = "mainPanelApi.getSelectedTabIndex";
        Channel["GetTabIndex"] = "mainPanelApi.getTabIndex";
    })(Channel = mainPanelApiInfo.Channel || (mainPanelApiInfo.Channel = {}));
    let setTabs;
    (function (setTabs) {
        setTabs.channel = Channel.SetTabs;
    })(setTabs = mainPanelApiInfo.setTabs || (mainPanelApiInfo.setTabs = {}));
    let onTabsSet;
    (function (onTabsSet) {
        onTabsSet.channel = Channel.OnTabsSet;
    })(onTabsSet = mainPanelApiInfo.onTabsSet || (mainPanelApiInfo.onTabsSet = {}));
    let addTabs;
    (function (addTabs) {
        addTabs.channel = Channel.AddTabs;
    })(addTabs = mainPanelApiInfo.addTabs || (mainPanelApiInfo.addTabs = {}));
    let onTabsAdded;
    (function (onTabsAdded) {
        onTabsAdded.channel = Channel.OnTabsAdded;
    })(onTabsAdded = mainPanelApiInfo.onTabsAdded || (mainPanelApiInfo.onTabsAdded = {}));
    let insertTabs;
    (function (insertTabs) {
        insertTabs.channel = Channel.InsertTabs;
    })(insertTabs = mainPanelApiInfo.insertTabs || (mainPanelApiInfo.insertTabs = {}));
    let onTabsInserted;
    (function (onTabsInserted) {
        onTabsInserted.channel = Channel.OnTabsInserted;
    })(onTabsInserted = mainPanelApiInfo.onTabsInserted || (mainPanelApiInfo.onTabsInserted = {}));
    let hasTab;
    (function (hasTab) {
        hasTab.channel = Channel.HasTab;
    })(hasTab = mainPanelApiInfo.hasTab || (mainPanelApiInfo.hasTab = {}));
    let getTabTags;
    (function (getTabTags) {
        getTabTags.channel = Channel.GetTabTags;
    })(getTabTags = mainPanelApiInfo.getTabTags || (mainPanelApiInfo.getTabTags = {}));
    let replaceTabs;
    (function (replaceTabs) {
        replaceTabs.channel = Channel.ReplaceTabs;
    })(replaceTabs = mainPanelApiInfo.replaceTabs || (mainPanelApiInfo.replaceTabs = {}));
    let onTabsReplaced;
    (function (onTabsReplaced) {
        onTabsReplaced.channel = Channel.OnTabsReplaced;
    })(onTabsReplaced = mainPanelApiInfo.onTabsReplaced || (mainPanelApiInfo.onTabsReplaced = {}));
    let removeTabs;
    (function (removeTabs) {
        removeTabs.channel = Channel.RemoveTabs;
    })(removeTabs = mainPanelApiInfo.removeTabs || (mainPanelApiInfo.removeTabs = {}));
    let onTabsRemoved;
    (function (onTabsRemoved) {
        onTabsRemoved.channel = Channel.OnTabsRemoved;
    })(onTabsRemoved = mainPanelApiInfo.onTabsRemoved || (mainPanelApiInfo.onTabsRemoved = {}));
    let selectTab;
    (function (selectTab) {
        selectTab.channel = Channel.SelectTab;
    })(selectTab = mainPanelApiInfo.selectTab || (mainPanelApiInfo.selectTab = {}));
    let getSelectedTabTag;
    (function (getSelectedTabTag) {
        getSelectedTabTag.channel = Channel.GetSelectedTabTag;
    })(getSelectedTabTag = mainPanelApiInfo.getSelectedTabTag || (mainPanelApiInfo.getSelectedTabTag = {}));
    let getSelectedTabIndex;
    (function (getSelectedTabIndex) {
        getSelectedTabIndex.channel = Channel.GetSelectedTabIndex;
    })(getSelectedTabIndex = mainPanelApiInfo.getSelectedTabIndex || (mainPanelApiInfo.getSelectedTabIndex = {}));
    let getTabIndex;
    (function (getTabIndex) {
        getTabIndex.channel = Channel.GetTabIndex;
    })(getTabIndex = mainPanelApiInfo.getTabIndex || (mainPanelApiInfo.getTabIndex = {}));
})(mainPanelApiInfo || (mainPanelApiInfo = {}));
