import { TrackingTag } from '../interfaces/i_tracking_tag';
export declare enum MPTabInfoType {
    Html = "html"
}
export interface IMPTabInfoBase {
    readonly tag: TrackingTag;
    readonly type: MPTabInfoType;
    readonly title: string;
}
export interface IMPTabWithHtmlInfo extends IMPTabInfoBase {
    readonly type: MPTabInfoType.Html;
    readonly htmlPath: string;
    readonly nodeScriptPath?: string;
    readonly initData?: any;
}
export type IMPTabInfo = IMPTabWithHtmlInfo;
