import { Api } from '../interfaces/i_api';
import { ApiInfoType } from '../interfaces/i_api_info';
export var nodeApiInfo;
(function (nodeApiInfo) {
    nodeApiInfo.api = Api.Node;
    nodeApiInfo.apiInfoType = ApiInfoType.Main;
    let Channel;
    (function (Channel) {
        Channel["SendData"] = "nodeApi.sendData";
        Channel["OnDataReceived"] = "nodeApi.onDataReceived";
        Channel["SendEvent"] = "nodeApi.sendEvent";
        Channel["OnEventReceived"] = "nodeApi.onEventReceived";
    })(Channel = nodeApiInfo.Channel || (nodeApiInfo.Channel = {}));
    let sendData;
    (function (sendData) {
        sendData.channel = Channel.SendData;
    })(sendData = nodeApiInfo.sendData || (nodeApiInfo.sendData = {}));
    let onDataReceived;
    (function (onDataReceived) {
        onDataReceived.channel = Channel.OnDataReceived;
    })(onDataReceived = nodeApiInfo.onDataReceived || (nodeApiInfo.onDataReceived = {}));
    let sendEvent;
    (function (sendEvent) {
        sendEvent.channel = Channel.SendEvent;
    })(sendEvent = nodeApiInfo.sendEvent || (nodeApiInfo.sendEvent = {}));
    let onEventReceived;
    (function (onEventReceived) {
        onEventReceived.channel = Channel.OnEventReceived;
    })(onEventReceived = nodeApiInfo.onEventReceived || (nodeApiInfo.onEventReceived = {}));
})(nodeApiInfo || (nodeApiInfo = {}));
