import { IpcRendererEvent } from '../classes/electron';
import { pathApiInfo as i } from '../interfaces/i_path_api_info';
import { ApiInfoType } from '../interfaces/i_api_info';
export declare namespace pathApiInfoPreload {
    const api = Api.Path;
    const apiInfoType = ApiInfoType.Preload;
    namespace exec {
        const channel = i.Channel.Exec;
        type ArgsType = i.exec.ArgsType;
        type ResultType = i.exec.ResultType;
        type ReturnType = i.exec.ReturnType;
        type FunctionType = i.exec.FunctionType;
        namespace responseListener {
            type EventType = IpcRendererEvent;
            type EventArgsType = [result: ResultType];
            type ArgsType = [event: EventType, ...args: EventArgsType];
            type FunctionType = (...args: ArgsType) => void;
        }
        type ResponseListenerType = responseListener.FunctionType;
    }
}
