export interface IReactiveFile {
    readonly path: string;
    readonly basename: string;
    readonly name: string;
    readonly extname?: string;
    readonly type?: string;
    content(): string;
    setContent(value: string): void;
    isChanged(): boolean;
    save(): Promise<void>;
}
