import { Api } from '../interfaces/i_api';
import { TrackingTag } from '../interfaces/i_tracking_tag';
import { ApiInfoType } from '../interfaces/i_api_info';
export declare namespace tagsApiInfo {
    const api = Api.Tags;
    const apiInfoType = ApiInfoType.Main;
    enum Channel {
        GetTags = "tagsApi.getTags",
        HasTag = "tagsApi.hasTag"
    }
    namespace getTags {
        const channel = Channel.GetTags;
        type ArgsType = [];
        type ResultType = TrackingTag[];
        type ReturnType = Promise<ResultType>;
        type FunctionType = (...args: ArgsType) => ReturnType;
    }
    namespace hasTag {
        const channel = Channel.HasTag;
        type ArgsType = [tag: TrackingTag];
        type ResultType = boolean;
        type ReturnType = Promise<ResultType>;
        type FunctionType = (...args: ArgsType) => ReturnType;
    }
}
