import { nodeApiInfoInternal } from '../interfaces/i_node_api_info_internal';
import { IDestructable } from '../interfaces/i_destructable';
import { IExtCPTab } from '../interfaces/i_cp_tab';
import { communicationApiInfoInternal } from '../interfaces/i_communication_api_info_internal';
import { lifecycleApiInfoInternal } from '../interfaces/i_lifecycle_api_info_internal';
export interface IWebviewController extends IDestructable {
    sendCommunicationData: communicationApiInfoInternal.sendData.FunctionType;
    sendCommunicationEvent: communicationApiInfoInternal.sendEvent.FunctionType;
    sendNodeData: nodeApiInfoInternal.sendData.FunctionType;
    sendNodeEvent: nodeApiInfoInternal.sendEvent.FunctionType;
    getInitialCPTabs(): Promise<Set<IExtCPTab>>;
    whenReady(): Promise<void>;
    sendDidGoBackground: lifecycleApiInfoInternal.sendDidGoBackground.FunctionType;
    sendDidGoForeground: lifecycleApiInfoInternal.sendDidGoForeground.FunctionType;
}
