import { WebviewTag } from '../classes/electron';
import { IWebviewController } from '../interfaces/i_webview_controller';
import { IDestructable } from '../interfaces/i_destructable';
import { IResettable } from '../interfaces/i_resettable';
export interface IWebviewDelegate extends IDestructable, IResettable {
    createWebviewController(args: {
        webviewElement: WebviewTag;
    }): IWebviewController;
}
