import { ApiRequestChannel } from '../interfaces/i_api_request';
import { IApiListenersController } from '../interfaces/i_api_listeners_controller';
import { ApiRequestListener, ApiListenerId } from '../interfaces/i_api_listener';
export declare class ApiListenersController implements IApiListenersController {
    private _listeners;
    addListener(listener: ApiRequestListener, args: {
        channel: ApiRequestChannel;
    }): ApiListenerId;
    getListenerId(listener: ApiRequestListener, args: {
        channel: ApiRequestChannel;
    }): ApiListenerId;
    removeListener(listener: ApiRequestListener, args: {
        channel: ApiRequestChannel;
    }): void;
    removeAllListeners(args: {
        channel: ApiRequestChannel;
    }): void;
}
