import { IApiPreloadListenersController } from '../interfaces/i_api_preload_listeners_controller';
import { ApiRequestChannel } from '../interfaces/i_api_request';
import { ApiListenerId } from '../interfaces/i_api_listener';
import { ApiPreloadRequestListener } from '../interfaces/i_api_preload_listener';
export declare class ApiPreloadListenersController implements IApiPreloadListenersController {
    private _preloadlisteners;
    addPreloadListener(preloadListener: ApiPreloadRequestListener, args: {
        channel: ApiRequestChannel;
        listenerId: ApiListenerId;
    }): void;
    removePreloadListener(args: {
        channel: ApiRequestChannel;
        listenerId: ApiListenerId;
    }): ApiPreloadRequestListener;
    removeAllPreloadListeners(args: {
        channel: ApiRequestChannel;
    }): void;
}
