import { appInfoApiInfoPreload as i } from '../interfaces/i_app_info_api_info_preload';
import { PreloadApiBase } from '../classes/preload_api_base';
export class AppInfoPreloadApi extends PreloadApiBase {
    constructor(ipcRenderer) {
        super(ipcRenderer);
    }
    getPackageInfo = async (...args) => {
        return this._sendRequestPromise(i.getPackageInfo.channel, ...args);
    };
    getVersion = async (...args) => {
        return this._sendRequestPromise(i.getVersion.channel, ...args);
    };
    getApiVersion = async (...args) => {
        return this._sendRequestPromise(i.getApiVersion.channel, ...args);
    };
}
