import { PreloadApiBase } from '../classes/preload_api_base';
import { IpcRenderer } from '../classes/electron';
import { controlPanelApiInfoPreload as i } from '../interfaces/i_control_panel_api_info_preload';
export declare class ControlPanelPreloadApi extends PreloadApiBase {
    constructor(ipcRenderer: IpcRenderer);
    onGetInitialTabs: i.onGetInitialTabs.FunctionType;
    setTabs: i.setTabs.FunctionType;
    onTabsSet: i.onTabsSet.FunctionType;
    unsetOnTabsSet: i.onTabsSet.unset.FunctionType;
    setTabSections: i.setTabSections.FunctionType;
    onTabSectionsSet: i.onTabSectionsSet.FunctionType;
    unsetOnTabSectionsSet: i.onTabSectionsSet.unset.FunctionType;
    setTabButtons: i.setTabButtons.FunctionType;
    onTabButtonsSet: i.onTabButtonsSet.FunctionType;
    unsetOnTabButtonsSet: i.onTabButtonsSet.unset.FunctionType;
    setTabButtonItems: i.setTabButtonItems.FunctionType;
    onTabButtonItemsSet: i.onTabButtonItemsSet.FunctionType;
    unsetOnTabButtonItemsSet: i.onTabButtonItemsSet.unset.FunctionType;
    addTabs: i.addTabs.FunctionType;
    onTabsAdded: i.onTabsAdded.FunctionType;
    unsetOnTabsAdded: i.onTabsAdded.unset.FunctionType;
    addTabSections: i.addTabSections.FunctionType;
    onTabSectionsAdded: i.onTabSectionsAdded.FunctionType;
    unsetOnTabSectionsAdded: i.onTabSectionsAdded.unset.FunctionType;
    addTabButtons: i.addTabButtons.FunctionType;
    onTabButtonsAdded: i.onTabButtonsAdded.FunctionType;
    unsetOnTabButtonsAdded: i.onTabButtonsAdded.unset.FunctionType;
    addTabButtonItems: i.addTabButtonItems.FunctionType;
    onTabButtonItemsAdded: i.onTabButtonItemsAdded.FunctionType;
    unsetOnTabButtonItemsAdded: i.onTabButtonItemsAdded.unset.FunctionType;
    insertTabs: i.insertTabs.FunctionType;
    onTabsInserted: i.onTabsInserted.FunctionType;
    unsetOnTabsInserted: i.onTabsInserted.unset.FunctionType;
    insertTabSections: i.insertTabSections.FunctionType;
    onTabSectionsInserted: i.onTabSectionsInserted.FunctionType;
    unsetOnTabSectionsInserted: i.onTabSectionsInserted.unset.FunctionType;
    insertTabButtons: i.insertTabButtons.FunctionType;
    onTabButtonsInserted: i.onTabButtonsInserted.FunctionType;
    unsetOnTabButtonsInserted: i.onTabButtonsInserted.unset.FunctionType;
    insertTabButtonItems: i.insertTabButtonItems.FunctionType;
    onTabButtonItemsInserted: i.onTabButtonItemsInserted.FunctionType;
    unsetOnTabButtonItemsInserted: i.onTabButtonItemsInserted.unset.FunctionType;
    hasTab: i.hasTab.FunctionType;
    hasTabSection: i.hasTabSection.FunctionType;
    hasTabButton: i.hasTabButton.FunctionType;
    hasTabButtonItem: i.hasTabButtonItem.FunctionType;
    getTabTags: i.getTabTags.FunctionType;
    getTabSectionTags: i.getTabSectionTags.FunctionType;
    getTabButtonTags: i.getTabButtonTags.FunctionType;
    getTabButtonItemTags: i.getTabButtonItemTags.FunctionType;
    replaceTabs: i.replaceTabs.FunctionType;
    onTabsReplaced: i.onTabsReplaced.FunctionType;
    unsetOnTabsReplaced: i.onTabsReplaced.unset.FunctionType;
    replaceTabSections: i.replaceTabSections.FunctionType;
    onTabSectionsReplaced: i.onTabSectionsReplaced.FunctionType;
    unsetOnTabSectionsReplaced: i.onTabSectionsReplaced.unset.FunctionType;
    replaceTabButtons: i.replaceTabButtons.FunctionType;
    onTabButtonsReplaced: i.onTabButtonsReplaced.FunctionType;
    unsetOnTabButtonsReplaced: i.onTabButtonsReplaced.unset.FunctionType;
    replaceTabButtonItems: i.replaceTabButtonItems.FunctionType;
    onTabButtonItemsReplaced: i.onTabButtonItemsReplaced.FunctionType;
    unsetOnTabButtonItemsReplaced: i.onTabButtonItemsReplaced.unset.FunctionType;
    removeTabs: i.removeTabs.FunctionType;
    onTabsRemoved: i.onTabsRemoved.FunctionType;
    unsetOnTabsRemoved: i.onTabsRemoved.unset.FunctionType;
    removeTabSections: i.removeTabSections.FunctionType;
    onTabSectionsRemoved: i.onTabSectionsRemoved.FunctionType;
    unsetOnTabSectionsRemoved: i.onTabSectionsRemoved.unset.FunctionType;
    removeTabButtons: i.removeTabButtons.FunctionType;
    onTabButtonsRemoved: i.onTabButtonsRemoved.FunctionType;
    unsetOnTabButtonsRemoved: i.onTabButtonsRemoved.unset.FunctionType;
    removeTabButtonItems: i.removeTabButtonItems.FunctionType;
    onTabButtonItemsRemoved: i.onTabButtonItemsRemoved.FunctionType;
    unsetOnTabButtonItemsRemoved: i.onTabButtonItemsRemoved.unset.FunctionType;
    selectTab: i.selectTab.FunctionType;
    selectTabSection: i.selectTabSection.FunctionType;
    getSelectedTabTag: i.getSelectedTabTag.FunctionType;
    getSelectedTabIndex: i.getSelectedTabIndex.FunctionType;
    getSelectedTabSectionTag: i.getSelectedTabSectionTag.FunctionType;
    getSelectedTabSectionIndex: i.getSelectedTabSectionIndex.FunctionType;
    getTabIndex: i.getTabIndex.FunctionType;
    getTabSectionIndex: i.getTabSectionIndex.FunctionType;
    getTabButtonIndex: i.getTabButtonIndex.FunctionType;
    getTabButtonItemIndex: i.getTabButtonItemIndex.FunctionType;
}
export interface ExtensionWindow {
    __controlPanelPreloadApi__: ControlPanelPreloadApi;
}
