import { extensionInfoApiInfoPreload as i } from '../interfaces/i_extension_info_api_info_preload';
import { PreloadApiBase } from '../classes/preload_api_base';
export class ExtensionInfoPreloadApi extends PreloadApiBase {
    constructor(ipcRenderer) {
        super(ipcRenderer);
    }
    getPackageInfo = async (...args) => {
        return this._sendRequestPromise(i.getPackageInfo.channel, ...args);
    };
    getPackageInfoRaw = async (...args) => {
        return this._sendRequestPromise(i.getPackageInfoRaw.channel, ...args);
    };
}
