import { PreloadApiBase } from '../classes/preload_api_base';
import { IpcRenderer } from '../classes/electron';
import { mainPanelApiInfoPreload as i } from '../interfaces/i_main_panel_api_info_preload';
export declare class MainPanelPreloadApi extends PreloadApiBase {
    constructor(ipcRenderer: IpcRenderer);
    setTabs: i.setTabs.FunctionType;
    onTabsSet: i.onTabsSet.FunctionType;
    unsetOnTabsSet: i.onTabsSet.unset.FunctionType;
    addTabs: i.addTabs.FunctionType;
    onTabsAdded: i.onTabsAdded.FunctionType;
    unsetOnTabsAdded: i.onTabsAdded.unset.FunctionType;
    insertTabs: i.insertTabs.FunctionType;
    onTabsInserted: i.onTabsInserted.FunctionType;
    unsetOnTabsInserted: i.onTabsInserted.unset.FunctionType;
    hasTab: i.hasTab.FunctionType;
    getTabTags: i.getTabTags.FunctionType;
    replaceTabs: i.replaceTabs.FunctionType;
    onTabsReplaced: i.onTabsReplaced.FunctionType;
    unsetOnTabsReplaced: i.onTabsReplaced.unset.FunctionType;
    removeTabs: i.removeTabs.FunctionType;
    onTabsRemoved: i.onTabsRemoved.FunctionType;
    unsetOnTabsRemoved: i.onTabsRemoved.unset.FunctionType;
    selectTab: i.selectTab.FunctionType;
    getSelectedTabTag: i.getSelectedTabTag.FunctionType;
    getSelectedTabIndex: i.getSelectedTabIndex.FunctionType;
    getTabIndex: i.getTabIndex.FunctionType;
}
export interface ExtensionWindow {
    __mainPanelPreloadApi__: MainPanelPreloadApi;
}
