import { PreloadApiBase } from '../classes/preload_api_base';
import { IpcRenderer } from '../classes/electron';
import { storageApiInfoPreload as i } from '../interfaces/i_storage_api_info_preload';
export declare class StoragePreloadApi extends PreloadApiBase {
    constructor(ipcRenderer: IpcRenderer);
    has: i.has.FunctionType;
    get: i.get.FunctionType;
    set: i.set.FunctionType;
    onSet: i.onSet.FunctionType;
    unsetOnSet: i.onSet.unset.FunctionType;
    delete: i.delete_.FunctionType;
    onDeleted: i.onDeleted.FunctionType;
    unsetOnDelete: i.onDeleted.unset.FunctionType;
    getAll: i.getAll.FunctionType;
    clear: i.clear.FunctionType;
    onCleared: i.onCleared.FunctionType;
    unsetOnClear: i.onCleared.unset.FunctionType;
    onChangeed: i.onChangeed.FunctionType;
    unsetOnChange: i.onChangeed.unset.FunctionType;
}
export interface ExtensionWindow {
    __storagePreloadApi__: StoragePreloadApi;
}
