export var Api;
(function (Api) {
    Api["AppInfo"] = "appInfo";
    Api["AppMenu"] = "appMenuApi";
    Api["Cache"] = "cacheApi";
    Api["CodeEditor"] = "codeEditorApi";
    Api["Commands"] = "commandsApi";
    Api["Communication"] = "communicationApi";
    Api["ContextMenu"] = "contextMenuApi";
    Api["ControlPanel"] = "controlPanelApi";
    Api["Database"] = "databaseApi";
    Api["ExtensionInfo"] = "extensionInfoApi";
    Api["FileExplorer"] = "fileExplorerApi";
    Api["FileSystem"] = "fileSystemApi";
    Api["Hotkeys"] = "hotkeysApi";
    Api["Lifecycle"] = "lifecycleApi";
    Api["MainPanel"] = "mainPanelApi";
    Api["Node"] = "nodeApi";
    Api["Notifications"] = "notificationsApi";
    Api["Path"] = "pathApi";
    Api["PingPong"] = "pingPongApi";
    Api["Processes"] = "processesApi";
    Api["Settings"] = "settingsApi";
    Api["StatusBar"] = "statusBarApi";
    Api["Storage"] = "storageApi";
    Api["Tags"] = "tagsApi";
    Api["Web"] = "webApi";
})(Api || (Api = {}));
export const defaultRequiredApis = new Set([Api.Lifecycle]);
export const requirableApis = new Set(Object.values(Api));
export const implementableApis = new Set([
    Api.CodeEditor,
    Api.Database,
    Api.FileExplorer,
]);
export var ApiVersionState;
(function (ApiVersionState) {
    ApiVersionState["Green"] = "green";
    ApiVersionState["Yellow"] = "yellow";
    ApiVersionState["Red"] = "red";
})(ApiVersionState || (ApiVersionState = {}));
