import { ApiRequestListener, ApiListenerId } from '../interfaces/i_api_listener';
export interface IApiListenersController {
    addListener(listener: ApiRequestListener, args: {
        channel: string;
    }): ApiListenerId;
    getListenerId(listener: ApiRequestListener, args: {
        channel: string;
    }): ApiListenerId;
    removeListener(listener: ApiRequestListener, args: {
        channel: string;
    }): void;
    removeAllListeners(args: {
        channel: string;
    }): void;
}
