import { ApiListenerId } from '../interfaces/i_api_listener';
import { ApiPreloadRequestListener } from '../interfaces/i_api_preload_listener';
export interface IApiPreloadListenersController {
    addPreloadListener(preloadListener: ApiPreloadRequestListener, args: {
        channel: string;
        listenerId: ApiListenerId;
    }): void;
    removePreloadListener(args: {
        channel: string;
        listenerId: ApiListenerId;
    }): ApiPreloadRequestListener;
    removeAllPreloadListeners(args: {
        channel: string;
    }): void;
}
