import { Api } from '../interfaces/i_api';
import { IAppPackageInfo } from '../interfaces/i_app_package_info';
import { ApiInfoType } from '../interfaces/i_api_info';
import { ISemver } from '../interfaces/i_semver';
export declare namespace appInfoApiInfo {
    const api = Api.AppInfo;
    const apiInfoType = ApiInfoType.Main;
    enum Channel {
        GetPackageInfo = "appInfoApi.getPackageInfo",
        GetVersion = "appInfoApi.getVersion",
        GetApiVersion = "appInfoApi.getApiVersion"
    }
    namespace getPackageInfo {
        const channel = Channel.GetPackageInfo;
        type ArgsType = [];
        type ResultType = IAppPackageInfo;
        type ReturnType = Promise<ResultType>;
        type FunctionType = (...args: ArgsType) => ReturnType;
    }
    namespace getVersion {
        const channel = Channel.GetVersion;
        type ArgsType = [];
        type ResultType = ISemver;
        type ReturnType = Promise<ResultType>;
        type FunctionType = (...args: ArgsType) => ReturnType;
    }
    namespace getApiVersion {
        const channel = Channel.GetApiVersion;
        type ArgsType = [];
        type ResultType = ISemver;
        type ReturnType = Promise<ResultType>;
        type FunctionType = (...args: ArgsType) => ReturnType;
    }
}
