import { Api } from '../interfaces/i_api';
import { ApiInfoType } from '../interfaces/i_api_info';
export var appInfoApiInfo;
(function (appInfoApiInfo) {
    appInfoApiInfo.api = Api.AppInfo;
    appInfoApiInfo.apiInfoType = ApiInfoType.Main;
    let Channel;
    (function (Channel) {
        Channel["GetPackageInfo"] = "appInfoApi.getPackageInfo";
        Channel["GetVersion"] = "appInfoApi.getVersion";
        Channel["GetApiVersion"] = "appInfoApi.getApiVersion";
    })(Channel = appInfoApiInfo.Channel || (appInfoApiInfo.Channel = {}));
    let getPackageInfo;
    (function (getPackageInfo) {
        getPackageInfo.channel = Channel.GetPackageInfo;
    })(getPackageInfo = appInfoApiInfo.getPackageInfo || (appInfoApiInfo.getPackageInfo = {}));
    let getVersion;
    (function (getVersion) {
        getVersion.channel = Channel.GetVersion;
    })(getVersion = appInfoApiInfo.getVersion || (appInfoApiInfo.getVersion = {}));
    let getApiVersion;
    (function (getApiVersion) {
        getApiVersion.channel = Channel.GetApiVersion;
    })(getApiVersion = appInfoApiInfo.getApiVersion || (appInfoApiInfo.getApiVersion = {}));
})(appInfoApiInfo || (appInfoApiInfo = {}));
