import { INodePackageInfoEngines } from '../interfaces/i_node_package_info';
import { ISemver } from '../interfaces/i_semver';
export interface IAppPackageInfoRaw {
    readonly name: string;
    readonly version: string;
    readonly engines: INodePackageInfoEngines;
    readonly description: string;
    readonly productName: string;
    readonly author: string;
    readonly license: string;
}
export interface IAppPackageInfo {
    readonly name: string;
    readonly version: ISemver;
    readonly apiVersion: ISemver;
    readonly description: string;
    readonly productName: string;
    readonly author: string;
    readonly license: string;
}
