import { controlPanelApiInfo as i } from '../interfaces/i_control_panel_api_info';
import { ApiInfoType } from '../interfaces/i_api_info';
export var controlPanelApiInfoPreload;
(function (controlPanelApiInfoPreload) {
    controlPanelApiInfoPreload.api = i.api;
    controlPanelApiInfoPreload.apiInfoType = ApiInfoType.Preload;
    let onGetInitialTabs;
    (function (onGetInitialTabs) {
        onGetInitialTabs.channel = i.onGetInitialTabs.channel;
    })(onGetInitialTabs = controlPanelApiInfoPreload.onGetInitialTabs || (controlPanelApiInfoPreload.onGetInitialTabs = {}));
    let setTabs;
    (function (setTabs) {
        setTabs.channel = i.setTabs.channel;
    })(setTabs = controlPanelApiInfoPreload.setTabs || (controlPanelApiInfoPreload.setTabs = {}));
    let onTabsSet;
    (function (onTabsSet) {
        onTabsSet.channel = i.onTabsSet.channel;
    })(onTabsSet = controlPanelApiInfoPreload.onTabsSet || (controlPanelApiInfoPreload.onTabsSet = {}));
    let setTabSections;
    (function (setTabSections) {
        setTabSections.channel = i.setTabSections.channel;
    })(setTabSections = controlPanelApiInfoPreload.setTabSections || (controlPanelApiInfoPreload.setTabSections = {}));
    let onTabSectionsSet;
    (function (onTabSectionsSet) {
        onTabSectionsSet.channel = i.onTabSectionsSet.channel;
    })(onTabSectionsSet = controlPanelApiInfoPreload.onTabSectionsSet || (controlPanelApiInfoPreload.onTabSectionsSet = {}));
    let setTabButtons;
    (function (setTabButtons) {
        setTabButtons.channel = i.setTabButtons.channel;
    })(setTabButtons = controlPanelApiInfoPreload.setTabButtons || (controlPanelApiInfoPreload.setTabButtons = {}));
    let onTabButtonsSet;
    (function (onTabButtonsSet) {
        onTabButtonsSet.channel = i.onTabButtonsSet.channel;
    })(onTabButtonsSet = controlPanelApiInfoPreload.onTabButtonsSet || (controlPanelApiInfoPreload.onTabButtonsSet = {}));
    let setTabButtonItems;
    (function (setTabButtonItems) {
        setTabButtonItems.channel = i.setTabButtonItems.channel;
    })(setTabButtonItems = controlPanelApiInfoPreload.setTabButtonItems || (controlPanelApiInfoPreload.setTabButtonItems = {}));
    let onTabButtonItemsSet;
    (function (onTabButtonItemsSet) {
        onTabButtonItemsSet.channel = i.onTabButtonItemsSet.channel;
    })(onTabButtonItemsSet = controlPanelApiInfoPreload.onTabButtonItemsSet || (controlPanelApiInfoPreload.onTabButtonItemsSet = {}));
    let addTabs;
    (function (addTabs) {
        addTabs.channel = i.addTabs.channel;
    })(addTabs = controlPanelApiInfoPreload.addTabs || (controlPanelApiInfoPreload.addTabs = {}));
    let onTabsAdded;
    (function (onTabsAdded) {
        onTabsAdded.channel = i.onTabsAdded.channel;
    })(onTabsAdded = controlPanelApiInfoPreload.onTabsAdded || (controlPanelApiInfoPreload.onTabsAdded = {}));
    let addTabSections;
    (function (addTabSections) {
        addTabSections.channel = i.addTabSections.channel;
    })(addTabSections = controlPanelApiInfoPreload.addTabSections || (controlPanelApiInfoPreload.addTabSections = {}));
    let onTabSectionsAdded;
    (function (onTabSectionsAdded) {
        onTabSectionsAdded.channel = i.onTabSectionsAdded.channel;
    })(onTabSectionsAdded = controlPanelApiInfoPreload.onTabSectionsAdded || (controlPanelApiInfoPreload.onTabSectionsAdded = {}));
    let addTabButtons;
    (function (addTabButtons) {
        addTabButtons.channel = i.addTabButtons.channel;
    })(addTabButtons = controlPanelApiInfoPreload.addTabButtons || (controlPanelApiInfoPreload.addTabButtons = {}));
    let onTabButtonsAdded;
    (function (onTabButtonsAdded) {
        onTabButtonsAdded.channel = i.onTabButtonsAdded.channel;
    })(onTabButtonsAdded = controlPanelApiInfoPreload.onTabButtonsAdded || (controlPanelApiInfoPreload.onTabButtonsAdded = {}));
    let addTabButtonItems;
    (function (addTabButtonItems) {
        addTabButtonItems.channel = i.addTabButtonItems.channel;
    })(addTabButtonItems = controlPanelApiInfoPreload.addTabButtonItems || (controlPanelApiInfoPreload.addTabButtonItems = {}));
    let onTabButtonItemsAdded;
    (function (onTabButtonItemsAdded) {
        onTabButtonItemsAdded.channel = i.onTabButtonItemsAdded.channel;
    })(onTabButtonItemsAdded = controlPanelApiInfoPreload.onTabButtonItemsAdded || (controlPanelApiInfoPreload.onTabButtonItemsAdded = {}));
    let insertTabs;
    (function (insertTabs) {
        insertTabs.channel = i.insertTabs.channel;
    })(insertTabs = controlPanelApiInfoPreload.insertTabs || (controlPanelApiInfoPreload.insertTabs = {}));
    let onTabsInserted;
    (function (onTabsInserted) {
        onTabsInserted.channel = i.onTabsInserted.channel;
    })(onTabsInserted = controlPanelApiInfoPreload.onTabsInserted || (controlPanelApiInfoPreload.onTabsInserted = {}));
    let insertTabSections;
    (function (insertTabSections) {
        insertTabSections.channel = i.insertTabSections.channel;
    })(insertTabSections = controlPanelApiInfoPreload.insertTabSections || (controlPanelApiInfoPreload.insertTabSections = {}));
    let onTabSectionsInserted;
    (function (onTabSectionsInserted) {
        onTabSectionsInserted.channel = i.onTabSectionsInserted.channel;
    })(onTabSectionsInserted = controlPanelApiInfoPreload.onTabSectionsInserted || (controlPanelApiInfoPreload.onTabSectionsInserted = {}));
    let insertTabButtons;
    (function (insertTabButtons) {
        insertTabButtons.channel = i.insertTabButtons.channel;
    })(insertTabButtons = controlPanelApiInfoPreload.insertTabButtons || (controlPanelApiInfoPreload.insertTabButtons = {}));
    let onTabButtonsInserted;
    (function (onTabButtonsInserted) {
        onTabButtonsInserted.channel = i.onTabButtonsInserted.channel;
    })(onTabButtonsInserted = controlPanelApiInfoPreload.onTabButtonsInserted || (controlPanelApiInfoPreload.onTabButtonsInserted = {}));
    let insertTabButtonItems;
    (function (insertTabButtonItems) {
        insertTabButtonItems.channel = i.insertTabButtonItems.channel;
    })(insertTabButtonItems = controlPanelApiInfoPreload.insertTabButtonItems || (controlPanelApiInfoPreload.insertTabButtonItems = {}));
    let onTabButtonItemsInserted;
    (function (onTabButtonItemsInserted) {
        onTabButtonItemsInserted.channel = i.onTabButtonItemsInserted.channel;
    })(onTabButtonItemsInserted = controlPanelApiInfoPreload.onTabButtonItemsInserted || (controlPanelApiInfoPreload.onTabButtonItemsInserted = {}));
    let hasTab;
    (function (hasTab) {
        hasTab.channel = i.hasTab.channel;
    })(hasTab = controlPanelApiInfoPreload.hasTab || (controlPanelApiInfoPreload.hasTab = {}));
    let hasTabSection;
    (function (hasTabSection) {
        hasTabSection.channel = i.hasTabSection.channel;
    })(hasTabSection = controlPanelApiInfoPreload.hasTabSection || (controlPanelApiInfoPreload.hasTabSection = {}));
    let hasTabButton;
    (function (hasTabButton) {
        hasTabButton.channel = i.hasTabButton.channel;
    })(hasTabButton = controlPanelApiInfoPreload.hasTabButton || (controlPanelApiInfoPreload.hasTabButton = {}));
    let hasTabButtonItem;
    (function (hasTabButtonItem) {
        hasTabButtonItem.channel = i.hasTabButtonItem.channel;
    })(hasTabButtonItem = controlPanelApiInfoPreload.hasTabButtonItem || (controlPanelApiInfoPreload.hasTabButtonItem = {}));
    let getTabTags;
    (function (getTabTags) {
        getTabTags.channel = i.getTabTags.channel;
    })(getTabTags = controlPanelApiInfoPreload.getTabTags || (controlPanelApiInfoPreload.getTabTags = {}));
    let getTabSectionTags;
    (function (getTabSectionTags) {
        getTabSectionTags.channel = i.getTabSectionTags.channel;
    })(getTabSectionTags = controlPanelApiInfoPreload.getTabSectionTags || (controlPanelApiInfoPreload.getTabSectionTags = {}));
    let getTabButtonTags;
    (function (getTabButtonTags) {
        getTabButtonTags.channel = i.getTabButtonTags.channel;
    })(getTabButtonTags = controlPanelApiInfoPreload.getTabButtonTags || (controlPanelApiInfoPreload.getTabButtonTags = {}));
    let getTabButtonItemTags;
    (function (getTabButtonItemTags) {
        getTabButtonItemTags.channel = i.getTabButtonItemTags.channel;
    })(getTabButtonItemTags = controlPanelApiInfoPreload.getTabButtonItemTags || (controlPanelApiInfoPreload.getTabButtonItemTags = {}));
    let replaceTabs;
    (function (replaceTabs) {
        replaceTabs.channel = i.replaceTabs.channel;
    })(replaceTabs = controlPanelApiInfoPreload.replaceTabs || (controlPanelApiInfoPreload.replaceTabs = {}));
    let onTabsReplaced;
    (function (onTabsReplaced) {
        onTabsReplaced.channel = i.onTabsReplaced.channel;
    })(onTabsReplaced = controlPanelApiInfoPreload.onTabsReplaced || (controlPanelApiInfoPreload.onTabsReplaced = {}));
    let replaceTabSections;
    (function (replaceTabSections) {
        replaceTabSections.channel = i.replaceTabSections.channel;
    })(replaceTabSections = controlPanelApiInfoPreload.replaceTabSections || (controlPanelApiInfoPreload.replaceTabSections = {}));
    let onTabSectionsReplaced;
    (function (onTabSectionsReplaced) {
        onTabSectionsReplaced.channel = i.onTabSectionsReplaced.channel;
    })(onTabSectionsReplaced = controlPanelApiInfoPreload.onTabSectionsReplaced || (controlPanelApiInfoPreload.onTabSectionsReplaced = {}));
    let replaceTabButtons;
    (function (replaceTabButtons) {
        replaceTabButtons.channel = i.replaceTabButtons.channel;
    })(replaceTabButtons = controlPanelApiInfoPreload.replaceTabButtons || (controlPanelApiInfoPreload.replaceTabButtons = {}));
    let onTabButtonsReplaced;
    (function (onTabButtonsReplaced) {
        onTabButtonsReplaced.channel = i.onTabButtonsReplaced.channel;
    })(onTabButtonsReplaced = controlPanelApiInfoPreload.onTabButtonsReplaced || (controlPanelApiInfoPreload.onTabButtonsReplaced = {}));
    let replaceTabButtonItems;
    (function (replaceTabButtonItems) {
        replaceTabButtonItems.channel = i.replaceTabButtonItems.channel;
    })(replaceTabButtonItems = controlPanelApiInfoPreload.replaceTabButtonItems || (controlPanelApiInfoPreload.replaceTabButtonItems = {}));
    let onTabButtonItemsReplaced;
    (function (onTabButtonItemsReplaced) {
        onTabButtonItemsReplaced.channel = i.onTabButtonItemsReplaced.channel;
    })(onTabButtonItemsReplaced = controlPanelApiInfoPreload.onTabButtonItemsReplaced || (controlPanelApiInfoPreload.onTabButtonItemsReplaced = {}));
    let removeTabs;
    (function (removeTabs) {
        removeTabs.channel = i.removeTabs.channel;
    })(removeTabs = controlPanelApiInfoPreload.removeTabs || (controlPanelApiInfoPreload.removeTabs = {}));
    let onTabsRemoved;
    (function (onTabsRemoved) {
        onTabsRemoved.channel = i.onTabsRemoved.channel;
    })(onTabsRemoved = controlPanelApiInfoPreload.onTabsRemoved || (controlPanelApiInfoPreload.onTabsRemoved = {}));
    let removeTabSections;
    (function (removeTabSections) {
        removeTabSections.channel = i.removeTabSections.channel;
    })(removeTabSections = controlPanelApiInfoPreload.removeTabSections || (controlPanelApiInfoPreload.removeTabSections = {}));
    let onTabSectionsRemoved;
    (function (onTabSectionsRemoved) {
        onTabSectionsRemoved.channel = i.onTabSectionsRemoved.channel;
    })(onTabSectionsRemoved = controlPanelApiInfoPreload.onTabSectionsRemoved || (controlPanelApiInfoPreload.onTabSectionsRemoved = {}));
    let removeTabButtons;
    (function (removeTabButtons) {
        removeTabButtons.channel = i.removeTabButtons.channel;
    })(removeTabButtons = controlPanelApiInfoPreload.removeTabButtons || (controlPanelApiInfoPreload.removeTabButtons = {}));
    let onTabButtonsRemoved;
    (function (onTabButtonsRemoved) {
        onTabButtonsRemoved.channel = i.onTabButtonsRemoved.channel;
    })(onTabButtonsRemoved = controlPanelApiInfoPreload.onTabButtonsRemoved || (controlPanelApiInfoPreload.onTabButtonsRemoved = {}));
    let removeTabButtonItems;
    (function (removeTabButtonItems) {
        removeTabButtonItems.channel = i.removeTabButtonItems.channel;
    })(removeTabButtonItems = controlPanelApiInfoPreload.removeTabButtonItems || (controlPanelApiInfoPreload.removeTabButtonItems = {}));
    let onTabButtonItemsRemoved;
    (function (onTabButtonItemsRemoved) {
        onTabButtonItemsRemoved.channel = i.onTabButtonItemsRemoved.channel;
    })(onTabButtonItemsRemoved = controlPanelApiInfoPreload.onTabButtonItemsRemoved || (controlPanelApiInfoPreload.onTabButtonItemsRemoved = {}));
    let selectTab;
    (function (selectTab) {
        selectTab.channel = i.selectTab.channel;
    })(selectTab = controlPanelApiInfoPreload.selectTab || (controlPanelApiInfoPreload.selectTab = {}));
    let selectTabSection;
    (function (selectTabSection) {
        selectTabSection.channel = i.selectTabSection.channel;
    })(selectTabSection = controlPanelApiInfoPreload.selectTabSection || (controlPanelApiInfoPreload.selectTabSection = {}));
    let getSelectedTabTag;
    (function (getSelectedTabTag) {
        getSelectedTabTag.channel = i.getSelectedTabTag.channel;
    })(getSelectedTabTag = controlPanelApiInfoPreload.getSelectedTabTag || (controlPanelApiInfoPreload.getSelectedTabTag = {}));
    let getSelectedTabIndex;
    (function (getSelectedTabIndex) {
        getSelectedTabIndex.channel = i.getSelectedTabIndex.channel;
    })(getSelectedTabIndex = controlPanelApiInfoPreload.getSelectedTabIndex || (controlPanelApiInfoPreload.getSelectedTabIndex = {}));
    let getSelectedTabSectionTag;
    (function (getSelectedTabSectionTag) {
        getSelectedTabSectionTag.channel = i.getSelectedTabSectionTag.channel;
    })(getSelectedTabSectionTag = controlPanelApiInfoPreload.getSelectedTabSectionTag || (controlPanelApiInfoPreload.getSelectedTabSectionTag = {}));
    let getSelectedTabSectionIndex;
    (function (getSelectedTabSectionIndex) {
        getSelectedTabSectionIndex.channel = i.getSelectedTabSectionIndex.channel;
    })(getSelectedTabSectionIndex = controlPanelApiInfoPreload.getSelectedTabSectionIndex || (controlPanelApiInfoPreload.getSelectedTabSectionIndex = {}));
    let getTabIndex;
    (function (getTabIndex) {
        getTabIndex.channel = i.getTabIndex.channel;
    })(getTabIndex = controlPanelApiInfoPreload.getTabIndex || (controlPanelApiInfoPreload.getTabIndex = {}));
    let getTabSectionIndex;
    (function (getTabSectionIndex) {
        getTabSectionIndex.channel = i.getTabSectionIndex.channel;
    })(getTabSectionIndex = controlPanelApiInfoPreload.getTabSectionIndex || (controlPanelApiInfoPreload.getTabSectionIndex = {}));
    let getTabButtonIndex;
    (function (getTabButtonIndex) {
        getTabButtonIndex.channel = i.getTabButtonIndex.channel;
    })(getTabButtonIndex = controlPanelApiInfoPreload.getTabButtonIndex || (controlPanelApiInfoPreload.getTabButtonIndex = {}));
    let getTabButtonItemIndex;
    (function (getTabButtonItemIndex) {
        getTabButtonItemIndex.channel = i.getTabButtonItemIndex.channel;
    })(getTabButtonItemIndex = controlPanelApiInfoPreload.getTabButtonItemIndex || (controlPanelApiInfoPreload.getTabButtonItemIndex = {}));
})(controlPanelApiInfoPreload || (controlPanelApiInfoPreload = {}));
