export declare enum EntityLifecycleState {
    Created = "created",
    Ready = "ready",
    Resetting = "resetting",
    Destroying = "destroying",
    Destroyed = "destroyed"
}
export interface IEntityLifecycle {
    getState(): EntityLifecycleState;
    isCreated(): boolean;
    isReady(): boolean;
    isResetting(): boolean;
    isDestroying(): boolean;
    isDestroyed(): boolean;
    canBeReady(): boolean;
    canBeReset(): boolean;
    canBeDestroyed(): boolean;
    isVisible(): boolean;
    isInteractive(): boolean;
}
