import { Api } from '../interfaces/i_api';
import { ApiInfoType } from '../interfaces/i_api_info';
export var extensionInfoApiInfo;
(function (extensionInfoApiInfo) {
    extensionInfoApiInfo.api = Api.ExtensionInfo;
    extensionInfoApiInfo.apiInfoType = ApiInfoType.Main;
    let Channel;
    (function (Channel) {
        Channel["GetPackageInfo"] = "extensionInfoApi.getPackageInfo";
        Channel["GetPackageInfoRaw"] = "extensionInfoApi.getPackageInfoRaw";
    })(Channel = extensionInfoApiInfo.Channel || (extensionInfoApiInfo.Channel = {}));
    let getPackageInfo;
    (function (getPackageInfo) {
        getPackageInfo.channel = Channel.GetPackageInfo;
    })(getPackageInfo = extensionInfoApiInfo.getPackageInfo || (extensionInfoApiInfo.getPackageInfo = {}));
    let getPackageInfoRaw;
    (function (getPackageInfoRaw) {
        getPackageInfoRaw.channel = Channel.GetPackageInfoRaw;
    })(getPackageInfoRaw = extensionInfoApiInfo.getPackageInfoRaw || (extensionInfoApiInfo.getPackageInfoRaw = {}));
})(extensionInfoApiInfo || (extensionInfoApiInfo = {}));
