import { IpcRendererEvent } from '../classes/electron';
import { extensionInfoApiInfo as i } from '../interfaces/i_extension_info_api_info';
import { ApiInfoType } from '../interfaces/i_api_info';
export declare namespace extensionInfoApiInfoPreload {
    const api = Api.ExtensionInfo;
    const apiInfoType = ApiInfoType.Preload;
    namespace getPackageInfo {
        const channel = i.Channel.GetPackageInfo;
        type ArgsType = i.getPackageInfo.ArgsType;
        type ResultType = i.getPackageInfo.ResultType;
        type ReturnType = i.getPackageInfo.ReturnType;
        type FunctionType = i.getPackageInfo.FunctionType;
        namespace responseListener {
            type EventType = IpcRendererEvent;
            type EventArgsType = [extensionPackageInfo: ResultType];
            type ArgsType = [event: EventType, ...args: EventArgsType];
            type FunctionType = (...args: ArgsType) => void;
        }
        type ResponseListenerType = responseListener.FunctionType;
    }
    namespace getPackageInfoRaw {
        const channel = i.Channel.GetPackageInfoRaw;
        type ArgsType = i.getPackageInfoRaw.ArgsType;
        type ResultType = i.getPackageInfoRaw.ResultType;
        type ReturnType = i.getPackageInfoRaw.ReturnType;
        type FunctionType = i.getPackageInfoRaw.FunctionType;
        namespace responseListener {
            type EventType = IpcRendererEvent;
            type EventArgsType = [extensionPackageInfoRaw: ResultType];
            type ArgsType = [event: EventType, ...args: EventArgsType];
            type FunctionType = (...args: ArgsType) => void;
        }
        type ResponseListenerType = responseListener.FunctionType;
    }
}
