import { IExtCPTagsController } from '../interfaces/i_ext_cp_tags_controller';
import { IExtMPTagsController } from '../interfaces/i_ext_mp_tags_controller';
import { TrackingTag } from '../interfaces/i_tracking_tag';
export interface IExtensionTagsController {
    readonly cpTagsController: IExtCPTagsController;
    readonly mpTagsController: IExtMPTagsController;
    hasTag(tag: TrackingTag): boolean;
    getTags(): TrackingTag[];
    clear(): void;
}
