import { ApiInfoType } from '../interfaces/i_api_info';
import { Api } from '../interfaces/i_api';
export declare namespace fileSystemApiInfo {
    const api = Api.FileSystem;
    const apiInfoType = ApiInfoType.Main;
    enum Channel {
        Exec = "fileSystemApi.exec"
    }
    namespace exec {
        const channel = Channel.Exec;
        type ArgsType = [functionName: string, ...functionArgs: any[]];
        type ResultType = any;
        type ReturnType = Promise<ResultType>;
        type FunctionType = (...args: ArgsType) => ReturnType;
    }
}
