import { TrackingTag } from '../interfaces/i_tracking_tag';
import { IPopupSize } from '../interfaces/i_popup';
export declare enum PopupInfoType {
    Html = "html"
}
export interface IPopupInfoBase {
    readonly tag: TrackingTag;
    readonly type: PopupInfoType;
    readonly size: IPopupSize;
}
export interface IPopupWithHtmlInfo extends IPopupInfoBase {
    readonly type: PopupInfoType.Html;
    readonly htmlPath: string;
    readonly nodeScriptPath?: string;
    readonly initData?: any;
}
export type IPopupInfo = IPopupWithHtmlInfo;
