import { ApiInfoType } from '../interfaces/i_api_info';
import { Api } from '../interfaces/i_api';
export var storageApiInfo;
(function (storageApiInfo) {
    storageApiInfo.api = Api.Storage;
    storageApiInfo.apiInfoType = ApiInfoType.Main;
    let Channel;
    (function (Channel) {
        Channel["Has"] = "storageApi.has";
        Channel["Get"] = "storageApi.get";
        Channel["Set"] = "storageApi.set";
        Channel["OnSet"] = "storageApi.onSet";
        Channel["Delete"] = "storageApi.delete";
        Channel["OnDeleted"] = "storageApi.onDeleted";
        Channel["GetAll"] = "storageApi.getAll";
        Channel["Clear"] = "storageApi.clear";
        Channel["OnCleared"] = "storageApi.onCleared";
        Channel["OnChanged"] = "storageApi.onChanged";
    })(Channel = storageApiInfo.Channel || (storageApiInfo.Channel = {}));
    let has;
    (function (has) {
        has.channel = Channel.Has;
    })(has = storageApiInfo.has || (storageApiInfo.has = {}));
    let get;
    (function (get) {
        get.channel = Channel.Get;
    })(get = storageApiInfo.get || (storageApiInfo.get = {}));
    let set;
    (function (set) {
        set.channel = Channel.Set;
    })(set = storageApiInfo.set || (storageApiInfo.set = {}));
    let onSet;
    (function (onSet) {
        onSet.channel = Channel.OnSet;
    })(onSet = storageApiInfo.onSet || (storageApiInfo.onSet = {}));
    let delete_;
    (function (delete_) {
        delete_.channel = Channel.Delete;
    })(delete_ = storageApiInfo.delete_ || (storageApiInfo.delete_ = {}));
    let onDeleted;
    (function (onDeleted) {
        onDeleted.channel = Channel.OnDeleted;
    })(onDeleted = storageApiInfo.onDeleted || (storageApiInfo.onDeleted = {}));
    let getAll;
    (function (getAll) {
        getAll.channel = Channel.GetAll;
    })(getAll = storageApiInfo.getAll || (storageApiInfo.getAll = {}));
    let clear;
    (function (clear) {
        clear.channel = Channel.Clear;
    })(clear = storageApiInfo.clear || (storageApiInfo.clear = {}));
    let onCleared;
    (function (onCleared) {
        onCleared.channel = Channel.OnCleared;
    })(onCleared = storageApiInfo.onCleared || (storageApiInfo.onCleared = {}));
    let onChangeed;
    (function (onChangeed) {
        onChangeed.channel = Channel.OnChanged;
    })(onChangeed = storageApiInfo.onChangeed || (storageApiInfo.onChangeed = {}));
})(storageApiInfo || (storageApiInfo = {}));
