import { Api } from '../interfaces/i_api';
import { ApiInfoType } from '../interfaces/i_api_info';
export var tagsApiInfo;
(function (tagsApiInfo) {
    tagsApiInfo.api = Api.Tags;
    tagsApiInfo.apiInfoType = ApiInfoType.Main;
    let Channel;
    (function (Channel) {
        Channel["GetTags"] = "tagsApi.getTags";
        Channel["HasTag"] = "tagsApi.hasTag";
    })(Channel = tagsApiInfo.Channel || (tagsApiInfo.Channel = {}));
    let getTags;
    (function (getTags) {
        getTags.channel = Channel.GetTags;
    })(getTags = tagsApiInfo.getTags || (tagsApiInfo.getTags = {}));
    let hasTag;
    (function (hasTag) {
        hasTag.channel = Channel.HasTag;
    })(hasTag = tagsApiInfo.hasTag || (tagsApiInfo.hasTag = {}));
})(tagsApiInfo || (tagsApiInfo = {}));
